stages:
  - validate
  - sync
  - images
  - ssl-check
  - compliance
  - update
  - create-issues
  - report
  - commit

include:
  - local: "/ci/Inventory-Builder.gitlab-ci.yml"
  - local: "/templates/images_requested.yml"
    inputs:
      dataDir: "./working_data"
      gib_image_base: "$CI_REGISTRY_IMAGE/tmp"
      gib_image_version: ":$CI_COMMIT_SHA"

workflow:
  rules:
    - if: $CI_COMMIT_TAG
    - if: $CI_COMMIT_BRANCH

variables:
  DATA_DIR_PATH_IN_REPO: inventory_test/data

# Mock sync
sync:
  stage: sync
  script:
    - mv $DATA_DIR_PATH_IN_REPO $DATA_DIR_PATH
    - mkdir -p tmp
    - touch tmp/urls.txt
  rules:
    - if: $CI_PIPELINE_SOURCE == "parent_pipeline"

# Mock images_requested
images_requested:
  script:
    - echo "noop"
  rules:
    - if: $CI_PIPELINE_SOURCE == "parent_pipeline"

# Only keep 'compliance export' task
create-issues:
  stage: create-issues
  script:
    - /usr/local/bin/gib compliance export
